import request from '@/utils/request'

export function AddRotationChart(data){
   
    return request({
        url:"/api/site/addrotationchart",
        method:"Post",
        data:data,
    })
}

export function addRotationUpload(data){
   
    return request({
        url:"/api/site/addrotationupload",
        method:"Post",
        data:data,
    })
}

export function saveHispital(data){
   
    return request({
        url:"/api/site/savehispital",
        method:"Post",
        data:data,
    })
}

export function addOffices(data){
  
    return request({
        url:"/api/site/addoffices",
        method:"Post",
        data:data,
    })
}

export function AddDoctor(data){
   
    return request({
        url:"/api/site/adddoctor",
        method:"Post",
        data:data,
    })
}

export function AddDoctorInfo(data){
   return request({
       url:"/api/site/adddoctorinfo",
       method:"Post",
       data:data,
   })
}

export function AddOfficeEnvironment(data){
   
   return request({
       url:"/api/site/keenvironment",
       method:"Post",
       data:data,
   })
}

export function GetRationImages(params){
  
    return request({
        url:"/api/site/getrationimages",
        method:'Get',
        params:params,
    })
}

export function GetHospitalInfo(params){
  
   return request({
       url:"/api/site/gethospitalinfo",
       method:'Get',
       params:params,
   })
}

export function GetOfficeInfo(params){
  
   return request({
       url:"/api/site/getofficeinfo",
       method:'Get',
       params:params,
   })
}

export function editDoctor(id,data){
  
    return request({
        url:"/api/site/editdoctor?id="+id,
        method:'Get',
        data:data,
    })
}

export function getQueryDocInfo(params){

    return request({
        url:"/api/site/getquerydocinfo",
        method:"Post",
        params:params,
    })
}

export function getQueryDoCHead(params){
   return request({
       url:"/api/site/getquerydochead",
       method:"Post",
       params:params,
   })
}

export function GetOffEnvironment(params){
   
   return request({
       url:"/api/site/getOffEnvironment",
       method:'Get',
       params:params,
   })
}

export function addconnection(data){
 
   return request({
       url:"/api/site/addconnection",
       method:"Post",
       data:data,
   })
}

export function addWorkTime(data){
   
    return request({
        url:"/api/site/addworktime",
        method:"Post",
        data:data,
    })
 }

export function addRideWay(data){
  
   return request({
       url:"/api/site/addrideway",
       method:"Post",
       data:data,
   })
}

export function queryConnetion(params){
  
   return request({
       url:"/api/site/queryconnetion",
       method:"Get",
       params:params,
   })
}

export function deleteConnecWay(id,data){
 
   return request({
       url:"/api/site/delete?id="+id,
       method:"Get",
       data:data,
   })
}

export function editConnecWay(id,data){
   return request({
       url:"/api/site/editconnecway?id="+id,
       method:"Get",
       data:data,
   })
}

export function saveConnecform(id,data){
   
    return request({
        url:"/api/site/saveconnection?id="+id,
        method:"Post",
        data:data,
    })
}

export function addContract(data){
 
   return request({
       url:"/api/site/addcontract",
       method:"Post",
       data:data,
   })
}

export function GetUserdModel(params){
   
    return request({
        url:"/api/site/getuserdmodel",
        method:"Post",
        params:params,
    })
}

export function eidtmodel(id,data){
  
   return request({
       url:"/api/site/eidtmodel?id="+id,
       method:"Get",
       data:data,
   })
}

export function editRideWay(id,data){
  return request({
      url:"/api/site/editrideway?id="+id,
      method:"Get",
      data:data,
  })
}

export function SaveWorkTime(id,data){
 
  return request({
      url:"/api/site/saveworktime?id="+id,
      method:"Post",
      data:data,
  })
}

export function saverideway(id,data){
 
    return request({
        url:"/api/site/saverideway?id="+id,
        method:"Post",
        data:data,
    })
}

export function getQueryNewModel(params){
   return request({
       url:"/api/site/getquerynewmodel",
       method:"Get",
       params:params,
   })
}

export function change(id,data){
   // console.log("编辑医生返回数据",id)
    return request({
       url:"/api/site/change?id="+id,
       method:"Get",
       data:data,
    })
}

export function saveDocInfo(id,data){
    return request({
       url:"/api/site/savedocinfo?id="+id,
       method:"Post",
       data:data,
    })
}

export function deleteDoctor(id,data){
   return request({
       url:"/api/site/deletedoctor?id="+id,
       method:"Get",
       data:data,
   })
}

export function editHospital(id,data){
    return request({
        url:"/api/site/edithospital?id="+id,
        method:"Get",
        data:data,
    })
}

export function SaveHospital(id,data){
    return request({
       url:"/api/site/savehostpital?id="+id,
       method:"Post",
       data:data,
    })
}

export function editOffice(id,data){
   return request({
       url:"/api/site/editoffice?id="+id,
       method:"Get",
       data:data,
   })
}

export function deleteModleById(id,data){
    return request({
        url:"/api/site/deletemodlebyid?id="+id,
        method:"Get",
        data:data,
    })
}

export function SaveOffice(id,data){
    console.log("data是什么",data)
    return request({
        url:"/api/site/saveoffice?id="+id,
        method:"Post",
        data:data,
    })
}

export function getHospital(params){
   return request({
       url:"/api/site/gethospital",
       method:"Post",
       params:params,
   })
}

export function getHospitaldata(params){
   return request({
       url:"/api/site/getdata",
       method:"Post",
       params:params,
   })
}

export function editDoc(id,data){
   return request({
       url:"/api/site/editdoc?id="+id,
       method:"Get",
       data:data,
   })
}

export function editImages(id,data){
    return request({
        url:"/api/site/editImages?id="+id,
        method:"Get",
        data,data,
    })
}

export function SaveDocdata(id,data){
     return request({
         url:"/api/site/savedocdata?id="+id,
         method:"Post",
         data:data,
     })
}

export function editOfficeEnviroment(id,data){
    return request({
        url:"/api/site/editofficeenviroment?id="+id,
        method:"Get",
        data:data,
    })
}

export function AddImages(data){
    return request({
        url:"/api/site/addimages",
        method:"Post",
        data:data,
    })
}

export function getEnImages(params){
   return request({
       url:"/api/site/getenimages",
       method:"Post",
       params:params,
   })
}

export function getEnImagesTwo(params){
   return request({
       url:"/api/site/getenimagestwo",
       method:"Get",
       params:params,
   })
}

export function EditEnvirImages(id,data){
 
    return request({
        url:"/api/site/editenvirimages?id="+id,
        method:"Get",
        data:data,
    })
}

export function AddtwoImages(id,data){
    return request({
        url:"/api/site/addtwoimages?id="+id,
        method:"Post",
        data:data,
    })
}

export function  SaveOfficeEnvironment(id,data){
     return request({
         url:"/api/site/saveofficeenvironment?id="+id,
         method:"Post",
         data:data,
     })
}

export function hispitalmore(id,orgid){
    console.log("orgid是多少",orgid)
  const params = {
      orgid: orgid  
  }  
  return request({
      url:"/api/site/hispitalmore?id="+id,
      method:"Get",
      params:params,
  })
}


export function officemore(id,data){
   return request({
       url:"/api/site/officemore?id="+id,
       method:"Get",
       data:data,
   })
}

export function docmore(id,data){
   return request({
      url:"/api/site/docmore?id="+id,
      method:"Get",
      data:data,
   })
}

export function kemore(id,data){
    console.log('香港回归',id)
   return request({
       url:"/api/site/kemore?id="+id,
       method:'Get',
       data:data,
   })
}

export function articlemore(id,data){
     return request({
         url:"/api/site/articlemore?id="+id,
         method:"Get",
         data:data,
     })
}

export function Activitiesmore(id,data){
    return request({
       url:"/api/site/activitiesmore?id="+id,
       method:"Get",
       data:data, 
    })
}

export function addNavigation(id,data){
    console.log("id是什么",id)
    return request({
        url:"/api/site/addnavigation?id="+id,
        method:"Post",
        data:data,
    })
}

export function getNavigationList(params){
     return request({
         url:"/api/site/getnavigationlist",
         method:"Post",
         params:params,
     })
}

export function AddShareInfo(data){
  return request({
      url:"/api/site/addshareinfo",
      method:"Post",
      data:data,
  })
}

export function getShareInfo(params){
    return request({
        url:"/api/site/getshareinfo",
        method:"Post",
        params:params,
    })
}

export function deleteNavigation(id,data){
    return request({
        url:"/api/site/deletenavition?id="+id,
        method:"Get",
        data:data,
    })
}

export function deletemodle(id,data){
    console.log("这个ID是谁?",id)
    return request({
        url:"/api/site/deletemodle?id="+id,
        method:"Get",
        data:data,
    })
}

export function getOrderModel(params){
    return request({
        url:"/api/site/getordermodel",
        method:"Post",
        params:params,
    })
}


export function addrotationpic(data){
   return request({
       url:"/api/site/addrotationpic",
       method:"Post",
       data:data,
   })
}

export function GetRotationImages(params){
   
    return request({
        url:"/api/site/getrotationimages",
        method:"Post",
        params:params
    })
}

export function addrotationImage(data){
    return request({
        url:"/api/site/addrotationimage",
        method:"Post",
        data:data,
    })
}

export function AddImageslink(id,data){
   return request({
       url:"/api/site/addimageslink?id="+id,
       method:"Post",
       data:data,
   })
}

export function getEditImages(params){
    return request({
        url:"/api/site/geteditimages",
        method:"Post",
        params:params
    })
}

export function AddMagicNavi(id,data){
    console.log("id是什么呢",id)
   return request({
       url:"/api/site/addmagicnavi?id="+id,
       method:"Post",
       data:data,
   })
}

export function getMagicImages(params){
   return request({
      url:"/api/site/getmagicimages",
      method:"Post",
      params:params,
   })
}

export function AddMarginChart(data){
   return request({
      url:"/api/site/addmarginchart",
      method:"Post",
      data:data,
   })
}

export function deleteRotations(id,data){
    console.log("id",id)
   return request({
       url:"/api/site/deleteRotations?id="+id,
       method:"Post",
       data:data,
   })
}

export function editRotationImages (id,data){
    return request({
        url:"/api/site/editRotationImages?id="+id,
        method:"Post",
        data:data,
    })
}

export function updateRotionImages (id,data){
   return request({
       url:"/api/site/updaterotaionimages?id="+id,
       method:"Post",
       data:data,
   })
}

export function editNavigation (id,data){
   return request({
       url:"/api/site/editnavigation?id="+id,
       method:"Post",
       data: data,
   })
}

export function SaveNavigation (id,data) {
    console.log("id是什么呢",id)
    return request({
        url:"/api/site/savenavigation?id="+id,
        method:"Post",
        data:data,
    })
}

export function deleteImages(id,data){
    return request({
        url:"/api/site/deletimages?id="+id,
        method:"Post",
        data:data,
    })
}

export function deleteSingleImages(id,data){
    return request({
        url:"/api/site/deletesingleimages?id="+id,
        method:"Post",
        data:data,
    })
}

export function addHospital(data){
    return request({
        url:"/api/site/addhospital",
        method:"Post",
        data:data,
    })
}

export function addActiveform(data){
    return request({
        url:"/api/site/addactive",
        method:"Post",
        data:data,
    })
}

export function getactivity(id,data){
    return request({
        url:"/api/site/getactivity?id="+id,
        method:"Get",
        data:data,
    })
}

export function getMacImages(id,data){
    console.log("id",id)
    return request({
        url:"/api/site/getMacImages?id="+id,
        method:"Get",
        data:data,
    })
}

export function SaveActivit(id,data){
  return request({
      url:"/api/site/saveactivit?id="+id,
      method:"Post",
      data:data,
  })
}

export function deleteMargin(id,data){
   return request({
       url:"/api/site/deleMargin?id="+id,
       method:"Post",
       data:data,
   })
}

export function getRotationImages(id,data){
    
   return request({
       url:"/api/site/editRotationImages?id="+id,
       method:"Get",
       data:data,
   })
}

export function getRotationDetail(id,data){
   return request({
       url:"/api/site/getrotationdetail?id="+id,
       method:"Get",
       data:data,
   })
}

export function editVisibleByid(id,data){
    return request({
        url:"/api/site/editvisiblebyid?id="+id,
        method:"Get",
        data:data,
    })
}

export function SaveEditPic(id,data){
   return request({
       url:"/api/site/saveditpic?id="+id,
       method:"Post",
       data:data,
   })
}

export function addeditpic(id,data){
   return request({
       url:"/api/site/addeditpic?id="+id,
       method:"Post",
       data:data,
   })
}

export function AddedialogVisible(id,data){
   
   return request({
       url:"/api/site/addedialogvisible?id="+id,
       method:"Post",
       data:data,
   })
}

export function geteditRotationImages(id,data){
    
    return request({
        url:"/api/site/geteditrotationimages?id="+id,
        method:"Get",
        data:data,
    })
}

export function editSingleVisible(id,data){
  
    return request({
        url:"/api/site/editsinglevisible?id="+id,
        method:"Get",
        data:data,
    })
}

export function UpdateSingleForm(id,data){

    return request({
        url:"/api/site/updatesingleform?id="+id,
        method:"Post",
        data:data,
    })
}

export function addEditPicForm(id,data){
  
    return request({
        url:"/api/site/addeditpicform?id="+id,
        method:"Post",
        data:data,
    })
}

export function AddRotationVisible(id,data){
   
    return request({
        url:"/api/site/addrotationvisible?id="+id,
        method:"Post",
        data:data,
    })
}

export function getEditImagesDetail(id,data){
   return request({
       url:"/api/site/geteditimagesdetail?id="+id,
       method:"Get",
       data:data,
   })
}

export function UpdateEditMacgin(id,data){
    return request({
        url:"/api/site/updateeditmacgin?id="+id,
        method:"Post",
        data:data,
    })
}

export function getActivities(params){
   
   return request({
       url:"/api/site/getactivities",
       method:"Post",
       params:params, 
   })
}

export function getArticleType(params){ 
    return request({
        url:"/api/site/getArticleType",
        method:"Post",
        params:params,
    })
}

export function AddArticeList(data){
   return request({
       url:"/api/site/addarticelist",
       method:"Post",
       data:data,
   })
}

export function getArticlelist(data){
   return request({
       url:"/api/site/getarticlelist",
       method:"Post",
       data:data,
   })
}

export function editGetArticlistDetail(id,data){
     return request({
         url:"/api/site/editgetarticlistdetail?id="+id,
         method:"Get",
         data:data,
     })
}

export function UpdatedArticeDetail(id,data){
    return request({
        url:"/api/site/updatearticedetail?id="+id,
        method:"Post",
        data:data,
    })
}

export function AddOfficeThreeVisible(id,data){
   return request({
       url:"/api/site/addoffficethree?id="+id,
       method:"Post",
       data:data,
   })
}

export function officetwoVisbile(id,params){
   return request({
       url:"/api/site/offcietwovisible?id="+id,
       method:"Get",
       params:params,
   })
}

export function AddOfficetTwo(id,data){
  return request({
      url:"/api/site/addofficetwo?id="+id,
      method:"Post",
      data:data,
  })
}

export function deleteOfficeById(id,data){
   return request({
       url:"/api/site/deleteofficebyid?id="+id,
       method:"Post",
       data:data,
   })
}

export function GetArticleById(id,params){
   return request({
       url:"/api/site/getarticlebyid?id="+id,
       method:"Get",
       params:params,
   })  
}

export function GetAllActivity(params){
   return request({
       url:"/api/site/getallactivity",
       method:"Get",
       params:params,
   })
}

export function AddLinkAddress (data){
   return request({
       url:"/api/site/addlinkaddress",
       method:"Post",
       data:data,
   })
}

export function getLinkAddress(params){
   return request({
       url:"/api/site/getlinkaddress",
       method:"Get",
       params:params,
   })
}

export function getAllConnecWay(params){
   return request({
       url:"/api/site/getallconnecway",
       method:"Get",
       params:params,
   })
}

export function getConnecWay(id,params){
   return request({
       url:"/api/site/getconnecway?id="+id,
       method:"Get",
       params:params,
   })
}

export function editConnecway(id,params){
   return request({
       url:"/api/site/editconnecway?id="+id,
       method:"Get",
       params:params,
   })
}

export function UpdateConnectform(id,data){
  return request({
      url:"/api/site/updateconnectform?id="+id,
      method:"Post",
      data:data,
  })
}

export function UpdateContactform(id,data){
     return request({
         url:"/api/site/updatecontactform?id="+id,
         method:"Post",
         data:data
     })
}

export function addConnectways(data){
  return request({
      url:"/api/site/addconnectways",
      method:"Post",
      data:data,
  })
}

export function getHospitalIntroduction(id,params){
   return request({
       url:"/api/site/gethostpitalintroduction?id="+id,
       method:"Get",
       params:params,
   })
}

export function UpdateHospitalAddress(id,data){
    return request({
        url:"/api/site/updatehospitaladdress?id="+id,
        method:"Post",
        data:data,
    })
}

export function AddPiCLink(data){
   return request({
       url:"/api/site/addpiclink",
       method:"Post",
       data:data,
   })
}

export function getLinkAddressDetail(id,params){
   return request({
       url:"/api/site/getlinkaddressdetail?id="+id,
       method:"Get",
       params:params,
   })
}

export function UpdatePicFormThree(id,data){
   return request({
       url:"/api/site/updatepicformthree?id="+id,
       method:"Post",
       data:data,
   })
}

export function getEnImagesThree(params){
    return request({
        url:"/api/site/getenimagesthree",
        method:"Get",
        params:params,
    })
}

export function AddMagiclinkData(data){
    console.log("中秋节快乐",data)
    return request({
        url:"/api/site/addmagiclinkdata",
        method:"Post",
        data:data,
    })
}

export function getMacLinkAddress(params){
    return request({
        url:"/api/site/getmaclinkaddress",
        method:"Get",
        params:params,
    })
}

export function AddMacgicform(id,data){
    return request({
        url:"/api/site/addmacgicform?id="+id,
        method:"Post",
        data:data,
    })
}

export function getMacImagesDetail(id,params){
   return request({
       url:"/api/site/getmacimagesdetail?id="+id,
       method:"Get",
       params:params,
   })
}

export function deleteMacImagesDetail(id,data){
   return request({
       url:"/api/site/deletemaciamgesdetail?id="+id,
       method:"Post",
       data:data,
   })
}

export function UpdateMacform(id,data){
   return request({
       url:"/api/site/updatemacform?id="+id,
       method:"Post",
       data:data,
   }) 
}

export function getEditMacImageDetail(id,params){
    return request({
        url:"/api/site/geteditmacimagedetail?id="+id,
        method:"Get",
        params:params,
    })
}

export function UpdateEditMacform(id,data){
   return request({
       url:"/api/site/updateeditmacform?id="+id,
       method:"Post",
       data:data,
   })
}

export function getLikeMacAddressById(id,params){
    return request({
        url:"/api/site/getLikeMacAddressById?id="+id,
        method:"Get",
        params:params,
    })
}

export function GetArticleName(id,params){
   return request({
       url:"/api/site/getarticlename?id="+id,
       method:"Get",
       params:params,
   })
}

export function GetAllArticelist(params){
    return request({
        url:"/api/site/getallarticelist",
        method:"Get",
        params:params,
    })
}

export function UpdateLinkAddress(id,data){
    
   return request({
       url:"/api/site/updatelinkaddress?id="+id,
       method:"Post",
       data:data,
   })
}

export function AddMacLinkAddress(data){
    console.log("data是什么",data)
   return request({
       url:"/api/site/addmaclinkaddress",
       method:"Post",
       data:data,
   })
}

export function GetLinkAddress(id,params){
   return request({
       url:"/api/site/getlinkaddress?id="+id,
       method:"Get",
       params:params,
   })
}

export function getCountImages(params){
    return request({
        url:"/api/site/getcountimages",
        method:"Get",
        params:params,
    })
}

export function addNavigationlinkform(data){
    return request({
        url:"/api/site/addNavigationlinkform",
        method:"Post",
        data:data,
    })
}


export function getNavgitionlinkAddress(id,params){
   return request({
       url:"/api/site/getnavigationlinkaddress?id="+id,
       method:"Get",
       params:params
   })
}

export function UpdateEditNavigationLinkform(id,data){
    return request({
        url:"/api/site/updateditnavigationlinkform?id="+id,
        method:"Post",
        data:data,
    })
}

